Bug 253426 - hal under qemu (elsewhere?) fails to start
hal under qemu (elsewhere?) fails to start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-19 04:41 EDT by Jane Dogalt
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:51:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qemu screencap of hal failure (86.76 KB, image/jpeg)
2007-08-19 04:45 EDT, Jane Dogalt
no flags Details
more qemu screencap - shft-pgup-d (107.30 KB, image/jpeg)
2007-08-19 04:46 EDT, Jane Dogalt
no flags Details

  None (edit)
Description Jane Dogalt 2007-08-19 04:41:29 EDT
Description of problem:

hal fails to start

Version-Release number of selected component (if applicable):

f8t1

How reproducible:

seemingly easily (tried 2-3 times)

Steps to Reproduce:
1.

qemu -boot d -m 384 -cdrom Fedora-8-Test-1-Live-i686.iso -net none

2.
3.
  
Actual results:

hal fails to start

Expected results:

haldaemon should succeed to start
Additional info:

will attach qemu screenshot of hal --deamon=no --verbose=yes
Comment 1 Jane Dogalt 2007-08-19 04:45:22 EDT
Created attachment 161817 [details]
qemu screencap of hal failure

ignore the Clocksource quirk from qemu.

will post a 2nd screen cap from shft-pgup
Comment 2 Jane Dogalt 2007-08-19 04:46:04 EDT
Created attachment 161818 [details]
more qemu screencap - shft-pgup-d

some more data from the hal --daemon=no --verbose=yes
Comment 3 Jane Dogalt 2007-08-20 19:56:19 EDT
so the nearly obvious thing of

mv /var/cache/hald/fdi-cache~ /var/cache/hald/fdi-cache
service haldaemon start

seems to work.

I've also noticed this problem on a livecd spun with f7+updates

question #1) does the above really solve the problem, or is it possibly
introducing bad side-effects

question #2) what is the 'right' fix for this

question #3) what is the best immediate workaround fix for this while waiting
for a #2 to percolate down from upstream?

Comment 4 Peter H. Jones 2007-09-09 23:30:41 EDT
Hal starts, since I downloaded a new version.

The shell command
rpm -qa | grep hal
gives the following result:
hal-0.5.10-0.git20070831.fc8
hal-info-20070725-1.fc8
hal-cups-utils-0.6.12-3.fc8
hal-libs-0.5.10-0.git20070831.fc8

So, the status for me now is Worksforme.
Comment 5 Jane Dogalt 2007-09-10 11:55:51 EDT
Peter- This was on a livecd?  And you confirmed the same issue prior to
downloading the new version.

I'll give it a shot when I get the f8t2 livecd.
Comment 6 Peter H. Jones 2007-09-10 12:53:13 EDT
No, this was on a clean install of f8t1, because I was unable to upgrade f7.
I don't remember seeing the issue prior to f8t1, but I never notices if Hal
was present or not.
Comment 7 Peter H. Jones 2007-09-14 11:37:45 EDT
Starts and runs OK in fc8t2. I presume it will also work for you, Jane.
Comment 8 Jane Dogalt 2007-09-15 14:11:43 EDT
nope, still broke.

same exact thing with f8t2-i686 livecd under qemu with the following command line

qemu -net none -boot d -m 384 -no-kqemu -cdrom Fedora-7.91-Live-i686.iso

Can someone else try out that command line and confirm or contradict the bug?
Comment 9 Bug Zapper 2008-11-26 02:41:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-08 23:51:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.